Subject: Re: [PATCH net-next 3/3] selftests: net: add YNL test framework

From: Jakub Kicinski <[email-masked]>
Date: Wed, 29 Oct 2025 16:41:59 -0700

On Wed, 29 Oct 2025 08:22:45 +0000 Hangbin Liu wrote:
> Add a test framework for YAML Netlink (YNL) tools, covering both CLI and
> ethtool functionality. The framework includes:
> 
> 1) cli: family listing, netdev, ethtool, rt-* families, and nlctrl
>    operations
> 2) ethtool: device info, statistics, ring/coalesce/pause parameters, and
>    feature gettings
> 
> The current YNL syntax is a bit obscure, and end users may not always know
> how to use it. This test framework provides usage examples and also serves
> as a regression test to catch potential breakages caused by future changes.

Hm, my knee-jerk reaction was that we should avoid adding too much ynl
stuff to the kernel at this point. But looking closer it's not that
long.

Do I understand correctly, tho, that you're testing _system_ YNL?
Not what's in tree?